<?php

if (!defined("IN_FUSION")) { die("Access Denied"); }

function theme_output($output) {
	global $main_style;
	$search = array(
		"@<link rel='shortcut icon' href='".IMAGES."favicon.ico' type='image/x-icon' />@si",
		"@<script type='text/javascript' src='".INCLUDES."jquery.js'></script>@si",
		"@<script type='text/javascript' src='".INCLUDES."jquery/jquery.js'></script>@si",
		"@<a id='content' name='content'></a>\n@si",
		"@<a id='comments' name='comments'></a>@si",
		"@><img src='reply' alt='(.*?)' style='border:0px' />@si",
		"@><img src='newthread' alt='(.*?)' style='border:0px;?' />@si",
		"@><img src='web' alt='(.*?)' style='border:0;vertical-align:middle' />@si",
		"@><img src='pm' alt='(.*?)' style='border:0;vertical-align:middle' />@si",
		"@><img src='quote' alt='(.*?)' style='border:0px;vertical-align:middle' />@si",
		"@><img src='forum_edit' alt='(.*?)' style='border:0px;vertical-align:middle' />@si",
		"@<ul class='clearfix' id='main-nav'>\n<li\b[^>]*><a href='".BASEDIR."index.php'@si",
		"@<body>@si"
	);
	$page = str_replace(".php", "", FUSION_SELF);
	$replace = array(
		'<link rel="shortcut icon" href="'.STATIC_DOMAIN.'images/favicon.ico" type="image/x-icon" />',
		'<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js"></script><script type="text/javascript">!window.jQuery && document.write("<script type=\"text/javascript\" src=\"'.INCLUDES.'jquery.js\"><\/script>")</script>',
		'<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js"></script><script type="text/javascript">!window.jQuery && document.write("<script type=\"text/javascript\" src=\"'.INCLUDES.'jquery/jquery.js\"><\/script>")</script>',
		'',
		'',
		' class="button"><span>$1</span>',
		' class="button"><span>$1</span>',
		' class="button blue" rel="nofollow"><span>Web</span>',
		' class="button blue"><span>PM</span>',
		' class="button blue"><span>$1</span>',
		' class="button blue"><span>$1</span>',
		"<ul class='clearfix' id='main-nav'>\n<li class='home'><a href='".BASEDIR."index.php'",
		"<body".(RTL ? " class='rtllyt'" : "").(defined("ADMIN_PANEL") ? " id='admin_panel'" : " id='page-".$page."'").">"
	);
	$output = preg_replace($search, $replace, $output);
	return $output;
}

function navigation() {
	$result = dbquery(
		"SELECT link_name, link_url, link_window, link_visibility FROM ".DB_SITE_LINKS."
		 WHERE link_position='3'".(SUBNAV ? "" : " OR link_position='2'")." ORDER BY link_order"
	 );
	$link = array();
	while ($data = dbarray($result)) {
		$link[] = $data;
	}
	$res = "<ul class='clearfix' id='main-nav'>\n";
	foreach($link as $data) {
		if (checkgroup($data['link_visibility'])) {
			$link_target = $data['link_window'] == "1" ? " target='_blank'" : "";
			$li_class = preg_match("/^".preg_quote(START_PAGE, '/')."/i", $data['link_url']) ? " class='current_page_item'" : "";
			if (!strstr($data['link_url'], "http://") && !strstr($data['link_url'], "https://")) {
				$data['link_url'] = BASEDIR.$data['link_url'];
			}
			if (strstr($data['link_name'], "%submenu% ") && SUBNAV) {
				$res .= "<li$li_class><a href='".$data['link_url']."'$link_target><span>".parseubb(str_replace("%submenu% ", "",$data['link_name']), "b|i|u|color")."</span></a>\n<ul>\n";
			} elseif (strstr($data['link_name'], "%endmenu% ") && SUBNAV) {
				$res .= "<li$li_class><a href='".$data['link_url']."'$link_target><span>".parseubb(str_replace("%endmenu% ", "",$data['link_name']), "b|i|u|color")."</span></a></li>\n</ul>\n</li>\n";
			} else {
				$res .= "<li$li_class><a href='".$data['link_url']."'$link_target><span>".parseubb($data['link_name'], "b|i|u|color")."</span></a></li>\n";
			}
		}
	}
	$res .= "</ul>\n";
	return $res;
}

function get_footer() {
global $settings;
if (!isset($settings['rendertime_enabled'])) $settings['rendertime_enabled'] = 1;
if ($settings['rendertime_enabled'] == 1 || ($settings['rendertime_enabled'] == 2 && iADMIN)) {
echo (DEBUG ? "<div id='debug'>" : "<!-- ").showrendertime().(DEBUG ? "</div>": " -->")."\n";
}
if (SUBNAV) : ?>
<script type="text/javascript" src="<?php echo STATIC_DOMAIN; ?>themes/itheme2/js/superfish.js"></script>
<?php
endif;
if (ANALYTICS) : ?>
<script type="text/javascript">
var _gaq = [['_setAccount', '<?php echo ANALYTICS_ACCOUNT; ?>'], <?php echo ANALYTICS_MULTI ? "['_setDomainName', '".ANALYTICS_DOMAIN."'], " : ""; ?>['_trackPageview']];
(function(d, t) {
	var g = d.createElement(t), s = d.getElementsByTagName(t)[0];
	g.async = true; g.src = '//www.google-analytics.com/ga.js'; s.parentNode.insertBefore(g, s);
})(document, 'script');
</script>
<?php endif;
}

?>